=== debian/changelog ===
yajl (1.0.12-2) unstable; urgency=low

  * Fix missing backslash that prevented verbose makefiles (Closes: #647445)
  * Use the default build flags from dpkg-buildflags
  * Revert debian/compat to 7
  * Update upstream's copyright date in debian/copyright

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 03 Nov 2011 19:22:20 -0700

yajl (1.0.12-1) unstable; urgency=low

  * New upstream
  * Remove non-pic-static-lib.patch. Applied upstream.
  * Add misc:Depends to dev and doc packages
  * Use source format 3.0 (quilt)
  * Bump Standards-Version to 3.9.2. No changes needed.
  * Add libyajl1.symbols file
  * Transition to multiarch

 -- John Stamp <jstamp@users.sourceforge.net>  Tue, 19 Jul 2011 10:55:54 -0700

yajl (1.0.8-1) unstable; urgency=low

  * New upstream
  * Bump shlibs

 -- John Stamp <jstamp@users.sourceforge.net>  Sat, 26 Dec 2009 16:40:49 -0800

yajl (1.0.6+git20090925-1) unstable; urgency=low

  * New upstream
  * Drop README.Debian: upstream removed non-free files
  * Drop relaxed-integer-tests.patch (merged upstream)
  * Update manpages

 -- John Stamp <jstamp@users.sourceforge.net>  Tue, 06 Oct 2009 11:11:58 -0700

yajl (1.0.5.dfsg-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.3.  No changes needed.
  * Add README.source
  * Dynamically link the tools to the lib (Closes: #544721)
  * Make extended description more detailed and remove unnecessary Section
    field.

 -- John Stamp <jstamp@users.sourceforge.net>  Tue, 08 Sep 2009 11:59:46 -0700

yajl (1.0.5.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #537199)

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 05 Aug 2009 15:12:56 -0700
