=== debian/control ===
Source: yajl
Section: libs
Priority: extra
Maintainer: John Stamp <jstamp@users.sourceforge.net>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 8.1.3), cmake, doxygen
Standards-Version: 3.9.2
Homepage: http://lloyd.github.com/yajl/
Vcs-Browser: http://github.com/jstamp/yajl
Vcs-Git: git://github.com/jstamp/yajl.git

Package: libyajl1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Yet Another JSON Library
 A small, fast library for parsing JavaScript Object Notation (JSON).  It
 supports incremental parsing from a stream and leaves data representation to
 higher level code.

Package: libyajl-dev
Section: libdevel
Architecture: any
Depends: libyajl1 (= ${binary:Version}), ${misc:Depends}
Description: Yet Another JSON Library - development files
 A small, fast library for parsing JavaScript Object Notation (JSON).  It
 supports incremental parsing from a stream and leaves data representation to
 higher level code.
 .
 This package contains the header files and static libraries needed for
 compiling software that uses the yajl library.

Package: libyajl-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Yet Another JSON Library - library documentation
 A small, fast library for parsing JavaScript Object Notation (JSON).  It
 supports incremental parsing from a stream and leaves data representation to
 higher level code.
 .
 This package contains the API documentation.

Package: libyajl1-dbg
Architecture: any
Section: debug
Depends: libyajl1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Yet Another JSON Library - debugging symbols
 A small, fast library for parsing JavaScript Object Notation (JSON).  It
 supports incremental parsing from a stream and leaves data representation to
 higher level code.
 .
 This package contains the debugging symbols for libyajl1.

Package: yajl-tools
Architecture: any
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Yet Another JSON Library - tools
 A small collection of tools that use the yajl library.
 .
 Current tools are:
  json_reformat - beautifies or minimizes format of JSON data
  json_verify - validates JSON data
