=== debian/changelog ===
yajl (2.0.4-4) unstable; urgency=low

  * Fix cmake configuration to install the lib in the right path
    (Closes: #712082)
  * Update debian/watch file.  Thanks to Bart Martens.

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 12 Jun 2013 14:05:18 -0700

yajl (2.0.4-3) unstable; urgency=low

  * Add missing Multi-Arch field for libyajl2 and libyajl2-dbg
    (Closes: #697380)
  * Use versioned copyright format uri in debian/copyright
  * Bump debhelper compat to version 9
  * Rewrite debian/rules using tiny dh style.
  * Bump Standards-Version to 3.9.4.  No further changes needed.
  * Support for cross-compilation (Closes: #702357)
    - Adapt Ian Campbell's patch to use CMakeCross toolchain file when cross
      compiling.

 -- John Stamp <jstamp@users.sourceforge.net>  Tue, 04 Jun 2013 09:51:24 -0700

yajl (2.0.4-2) unstable; urgency=low

  * Upload to unstable.

 -- John Stamp <jstamp@users.sourceforge.net>  Thu, 26 Jan 2012 17:47:08 -0800

yajl (2.0.4-1) experimental; urgency=low

  * New upstream (Closes: #634176)
    - Relicenced under ISC license terms
  * Bump package name with soname change
  * Update symbols file
  * Update man page for json_reformat

 -- John Stamp <jstamp@users.sourceforge.net>  Wed, 21 Dec 2011 17:07:23 -0800
