## yajl 2.1.0

=== debian/changelog ===
yajl (2.1.0-5) unstable; urgency=medium

  * The patch for CVE-2023-33460 turned out to be incomplete.  Fix that.

 -- John Stamp <jstamp@users.sourceforge.net>  Mon, 10 Jul 2023 15:08:58 -0700

yajl (2.1.0-4) unstable; urgency=medium

  [Debian Janitor]
  * Apply multiarch hints.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Drop transition for old debug package migration.
  * Set upstream metadata fields: Repository.

  [John Stamp]
  * Patch CVE-2017-16516 and CVE-2022-24795 (Closes: #1040036)
  * Bump Standards-Version to 4.6.2
  * Bump debhelper compatibility to 13.
  * Update source url in debian/copyright.
  * Don't override dh_strip in debian/rules.  No longer needed.

 -- John Stamp <jstamp@users.sourceforge.net>  Sun, 09 Jul 2023 10:04:53 -0700

yajl (2.1.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import upstream patch for CVE-2023-33460. (Closes: #1039984)
  * Fix d/control Homepage field (Closes: #1040034)

 -- Tobias Frost <tobi@debian.org>  Sat, 01 Jul 2023 14:55:44 +0200

yajl (2.1.0-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Vcs control header.
  * Use secure copyright file specification URI.

  [ John Stamp ]
  * Bump debhelper compat to 11.
    - Remove unneeded --parallel argument in debian/rules.
  * Transition to automatic debug packages.
  * Bump Standards-Version to 4.2.1
    - Add Rules-Requires-Root field, and set it to "no".

 -- John Stamp <jstamp@users.sourceforge.net>  Tue, 02 Oct 2018 15:51:58 -0700

yajl (2.1.0-2) unstable; urgency=medium

  * Change priority to optional (Closes: #758958)

 -- John Stamp <jstamp@users.sourceforge.net>  Sat, 23 Aug 2014 21:09:50 -0700

yajl (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update symbols file.
  * Update manpages for json_reformat, json_verify.
  * Minor updates to debian/copyright.
  * Clean up debian/rules
    - Fix up variable assignments
    - Add -fvisibility=hidden to DEB_CFLAGS_MAINT_APPEND so clang doesn't
      export extraneous symbols.
  * Bump Standards-Version to 3.9.5.  No changes needed.
  * Mark libyajl-dev as Multi-Arch: same

 -- John Stamp <jstamp@users.sourceforge.net>  Tue, 29 Apr 2014 17:06:00 -0700
