=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: yajl
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: John Stamp <jstamp@users.sourceforge.net>
-Build-Depends: debhelper (>= 9), cmake, doxygen
-Standards-Version: 3.9.4
-Homepage: http://lloyd.github.com/yajl/
-Vcs-Browser: http://github.com/jstamp/yajl
-Vcs-Git: git://github.com/jstamp/yajl.git
+Build-Depends: debhelper-compat (= 13), cmake, doxygen
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://lloyd.github.io/yajl/
+Vcs-Browser: https://github.com/jstamp/yajl
+Vcs-Git: https://github.com/jstamp/yajl.git
 
 Package: libyajl2
 Architecture: any
@@ -21,6 +22,7 @@
 Package: libyajl-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libyajl2 (= ${binary:Version}), ${misc:Depends}
 Description: Yet Another JSON Library - development files
  A small, fast library for parsing JavaScript Object Notation (JSON).  It
@@ -34,24 +36,13 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Yet Another JSON Library - library documentation
  A small, fast library for parsing JavaScript Object Notation (JSON).  It
  supports incremental parsing from a stream and leaves data representation to
  higher level code.
  .
  This package contains the API documentation.
-
-Package: libyajl2-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends: libyajl2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: Yet Another JSON Library - debugging symbols
- A small, fast library for parsing JavaScript Object Notation (JSON).  It
- supports incremental parsing from a stream and leaves data representation to
- higher level code.
- .
- This package contains the debugging symbols for libyajl2.
 
 Package: yajl-tools
 Architecture: any
